Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
dunguss3581

[hỏi] move đối tượng không đổi cao độ

Các bài được khuyến nghị

giúp tôi move các đối tượng trong cad không bị thay đổi cao độ

Câu hỏi chưa rõ ràng lắm. Muốn move không thay đổi cao độ thì toạ độ z của điểm gốc và điểm đến cùng giá trị.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

tôi đang viết lisp vậy. chắc trong cad không có lệnh đó nhỉ.

anh em giúp viết code chuyển: pt có tọa độ (x y z) chuyển thành (x y 0) nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

thanhk!

(defun c:mm()
 (setq dt (ssget))
 (setq point1 (getpoint "\n chon diem goc:"))
 (setq x1 (nth 0 point1))
 (setq y1 (nth 1 point1))
 (setq p1 (list x1 y1 0))
 (setq point2 (getpoint "\n chon diem toi:"))
 (setq x2 (nth 0 point2))
 (setq y2 (nth 1 point2))
 (setq p2 (list x2 y2 0))
 (command "move" dt p1 p2 "")
 )

anh em sửa giùm cái lisp này toi không hiểu sao không nhận lênh move

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thiếu 1 dấu "" sau từ dt của lệnh move đồng thời thừa dấu "" ở cuối lệnh move.

Thêm 1 chú ý là Getpoint sử dụng cho 2D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

(defun c:mm()
 (setq dt (ssget))
 (setq point1 (getpoint "\n chon diem goc:"))
 (setq x1 (nth 0 point1))
 (setq y1 (nth 1 point1))
 (setq z1 (nth 2 point1))
 (setq p1 (list x1 y1 0))
 (setq point2 (getpoint "\n chon diem toi:"))
 (setq x2 (nth 0 point2))
 (setq y2 (nth 1 point2))
 (setq p2 (list x2 y2 0))
 (command "move" dt "" p1 p2)
 )

các bác ơi em dùng lisp này move nhưng đối tượng move vẫn bị thay đổi cao độ. giúp tôi với

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

(defun c:mm()
 (setq dt (ssget))
 (setq point1 (getpoint "\n chon diem goc:"))
 (setq x1 (nth 0 point1))
 (setq y1 (nth 1 point1))
 (setq z1 (nth 2 point1))
 (setq p1 (list x1 y1 0))
 (setq point2 (getpoint "\n chon diem toi:"))
 (setq x2 (nth 0 point2))
 (setq y2 (nth 1 point2))
 (setq p2 (list x2 y2 0))
 (command "move" dt "" p1 p2)
 )

các bác ơi em dùng lisp này move nhưng đối tượng move vẫn bị thay đổi cao độ. giúp tôi với

Rất có thể bạn bị osnap. Hoăc tắt osnap, hoặc setvar về 0 trước khi move rồi trả lại sau khi move, hoặc:

Sửa

(command "move" dt "" p1 p2)

Thành

(command "move" dt "" "non" p1 "non" p2)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Rất có thể bạn bị osnap.

Sửa

(command "move" dt "" p1 p2)

Thành

(command "move" dt "" "non" p1 "non" p2)

không được bác Hà a. nếu bỏ bắt điểm thì lại không move chuẩn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

các bác ơi tương tự như move trên tôi viết cho lệnh align lại không được. giúp tôi xem sai ở đâu nhé

(defun c:all()
 (setq dt (ssget))
 (setq point1 (getpoint "\n chon diem goc 1:"))
 (setq x1 (nth 0 point1))
 (setq y1 (nth 1 point1))
 (setq p1 (list x1 y1 0))
 (setq point2 (getpoint "\n chon diem toi 1:"))
 (setq x2 (nth 0 point2))
 (setq y2 (nth 1 point2))
 (setq p2 (list x2 y2 0))
 (setq point3 (getpoint "\n chon diem huong 1:"))
 (setq x3 (nth 0 point3))
 (setq y3 (nth 1 point3))
 (setq p3 (list x3 y3 0))
 (setq point4 (getpoint "\n chon diem toi huong 2:"))
 (setq x4 (nth 0 point4))
 (setq y4 (nth 1 point4))
 (setq p4 (list x4 y4 0))
 (command "ALIGN" dt "" "non" p1 "non" p2 "non" p3 "non" p4 "" "")
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn phải học cách dùng vlide soát lỗi hoặc bật F2 xem thông báo lỗi đi, là người viết lisp đừng kêu "tại sao không được", mà hãy cố gắng nói "lỗi là :... nhưng chưa giải quyết được" :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×